<?php
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function writers_portfolio_widgets_init() {

	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar Area', 'writers-portfolio' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'writers-portfolio' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
        	'after_title'   => '</h2>',
		)
	);

	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer Sidebar One', 'writers-portfolio' ),
			'id'            => 'footer-1',
			'description'   => esc_html__( 'Add widgets here.', 'writers-portfolio' ),
			'before_widget' => '<section id="%1$s" class="footer-sidebar widget footer-sidebar-1 %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title footer-title">',
        	'after_title'   => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer Sidebar Two', 'writers-portfolio' ),
			'id'            => 'footer-2',
			'description'   => esc_html__( 'Add widgets here.', 'writers-portfolio' ),
			'before_widget' => '<section id="%1$s" class="footer-sidebar widget footer-sidebar-2 %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title footer-title">',
        	'after_title'   => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer Sidebar Three', 'writers-portfolio' ),
			'id'            => 'footer-3',
			'description'   => esc_html__( 'Add widgets here.', 'writers-portfolio' ),
			'before_widget' => '<section id="%1$s" class="footer-sidebar widget footer-sidebar-3 %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title footer-title">',
        	'after_title'   => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer Sidebar Four', 'writers-portfolio' ),
			'id'            => 'footer-4',
			'description'   => esc_html__( 'Add widgets here.', 'writers-portfolio' ),
			'before_widget' => '<section id="%1$s" class="footer-sidebar widget footer-sidebar-4 %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title footer-title">',
        	'after_title'   => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer Layout Two', 'writers-portfolio' ),
			'id'            => 'footer-layout-two',
			'description'   => esc_html__( 'Add widgets here.', 'writers-portfolio' ),
			'before_widget' => '<section id="%1$s" class="footer-sidebar widget footer-layout-two %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title footer-title">',
        	'after_title'   => '</h2>',
		)
	);
}
add_action( 'widgets_init', 'writers_portfolio_widgets_init' );
