<?php
Kirki::add_section( 'writers_portfolio_frontpage_sections', array(
    'title'          => esc_html__( 'Front Page Sections', 'writers-portfolio' ),
    'panel'          => 'writers_portfolio_alp_panel',
    'capability'     => 'edit_theme_options',
    'priority'		=> 10,
) );

Kirki::add_field( 'book_author_config', array(
	'type'     => 'sortable',
	'settings' => 'frontpage_sections',
	'label'    => esc_html__( 'Front Page Sections', 'writers-portfolio' ),
	'section'  => 'writers_portfolio_frontpage_sections',
	'default'  => array( 'books-slider', 'about-section', 'books-gallery' ),
	'choices'  => [
		'books-slider' => esc_html__( 'Books Slider Section', 'writers-portfolio' ),
		'about-section' => esc_html__( 'About Section', 'writers-portfolio' ),
		'books-gallery' => esc_html__( 'Books Gallery Section', 'writers-portfolio' ),
	],
));