<?php
/**
 * Writers Portfolio Theme Global Options
 */

Kirki::add_panel( 'writers_portfolio_global_panel', array(
    'priority'    => 10,
    'title'       => esc_html__( 'Global Settings', 'writers-portfolio' ),
) );

require get_theme_file_path('inc/customizer/themeoptions/header-settings.php');
require get_theme_file_path('inc/customizer/themeoptions/social-links-settings.php');
require get_theme_file_path('inc/customizer/themeoptions/sidebar-settings.php');
require get_theme_file_path('inc/customizer/themeoptions/post-page-settings.php');
require get_theme_file_path('inc/customizer/themeoptions/theme-color-settings.php');
require get_theme_file_path('inc/customizer/themeoptions/blog-and-archive-post-settings.php');
require get_theme_file_path('inc/customizer/themeoptions/footer-settings.php');
require get_theme_file_path('inc/customizer/themeoptions/copyright-settings.php');
require get_theme_file_path('inc/customizer/themeoptions/scroll-top-button-settings.php');


Kirki::add_panel( 'writers_portfolio_alp_panel', array(
    'priority'    => 10,
    'title'       => esc_html__( 'Author Landing Page', 'writers-portfolio' ),
) );

require get_theme_file_path('inc/customizer/themeoptions/front-page-sections.php');
require get_theme_file_path('inc/customizer/themeoptions/book-slider.php');
require get_theme_file_path('inc/customizer/themeoptions/about-me-section.php');
require get_theme_file_path('inc/customizer/themeoptions/book-gallery.php');