<?php
/**
 * Blog single content customization
 */
Kirki::add_section( 'post_page_section', array(
    'title'          => esc_html__( 'Post Page Settings', 'writers-portfolio' ),
    'description'    => esc_html__( 'Customize The Looks of Post Page', 'writers-portfolio' ),
    'panel'          => 'writers_portfolio_global_panel',
) );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_single_post_category',
    'label'       => esc_html__( 'Show Post Category', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',
] );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_single_post_writer',
    'label'       => esc_html__( 'Show Post Writer', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',
] );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_single_post_thumbnail',
    'label'       => esc_html__( 'Show Post Thumbnail', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',

] );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_single_post_title',
    'label'       => esc_html__( 'Show Post Title', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',
] );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_single_post_date',
    'label'       => esc_html__( 'Show Post Date', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',

] );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_single_post_comments',
    'label'       => esc_html__( 'Show Post Comments', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',

] );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_single_post_tags',
    'label'       => esc_html__( 'Show Post Tags', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',

] );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_post_author_box',
    'label'       => esc_html__( 'Show Post Writer Box', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',
] );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_recommend_posts',
    'label'       => esc_html__( 'Show Recommend Posts', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',
] );
Kirki::add_field( 'writers_portfolio_config', [
    'type'        => 'toggle',
    'settings'    => 'show_post_navigation',
    'label'       => esc_html__( 'Show Post Navigation', 'writers-portfolio' ),
    'section'     => 'post_page_section',
    'default'     => '1',
] );
