<?php
/*Blog Page Settings*/

Kirki::add_section( 'sidebar_settings_section', array(
    'title'          => esc_html__( 'Sidebar Settings', 'writers-portfolio' ),
    'description'          => esc_html__( 'Control Sidebar Of Your Website', 'writers-portfolio' ),
    'panel'          => 'writers_portfolio_global_panel',
) );

Kirki::add_field( 'writers_portfolio_config', [
	'type'        => 'select',
	'settings'    => 'blog_page_sidebar',
	'label'       => esc_html__( 'Blog Page Sidebar', 'writers-portfolio' ),
	'section'     => 'sidebar_settings_section',
	'default'     => 'right',
	'multiple'    => 1,
	'choices'     => [
		'left' => esc_html__( 'left Sidebar', 'writers-portfolio' ),
		'right' => esc_html__( 'Right Sidebar', 'writers-portfolio' ),
		'no' => esc_html__( 'No Sidebar', 'writers-portfolio' ),
	],
] );

Kirki::add_field( 'rs_personal_blog_config', array(
    'type'        => 'custom',
    'settings'    => 'sep_after_blog_post_column',
    'label'       => '',
    'section'     => 'sidebar_settings_section',
    'default'     => '<hr>',
) );

Kirki::add_field( 'writers_portfolio_config', [
	'type'        => 'select',
	'settings'    => 'archive_page_sidebar',
	'label'       => esc_html__( 'Archive Page Sidebar', 'writers-portfolio' ),
	'section'     => 'sidebar_settings_section',
	'default'     => 'right',
	'multiple'    => 1,
	'choices'     => [
		'left' => esc_html__( 'left Sidebar', 'writers-portfolio' ),
		'right' => esc_html__( 'Right Sidebar', 'writers-portfolio' ),
		'no' => esc_html__( 'No Sidebar', 'writers-portfolio' ),
	],
] );

Kirki::add_field( 'rs_personal_blog_config', array(
    'type'        => 'custom',
    'settings'    => 'sep_after_archive_post_column',
    'label'       => '',
    'section'     => 'sidebar_settings_section',
    'default'     => '<hr>',
) );

Kirki::add_field( 'writers_portfolio_config', [
	'type'        => 'select',
	'settings'    => 'page_sidebar',
	'label'       => esc_html__( 'Page Sidebar', 'writers-portfolio' ),
	'section'     => 'sidebar_settings_section',
	'default'     => 'right',
	'multiple'    => 1,
	'choices'     => [
		'left' => esc_html__( 'left Sidebar', 'writers-portfolio' ),
		'right' => esc_html__( 'Right Sidebar', 'writers-portfolio' ),
		'no' => esc_html__( 'No Sidebar', 'writers-portfolio' ),
	],
] );

Kirki::add_field( 'writers_portfolio_config', [
	'type'        => 'select',
	'settings'    => 'post_sidebar',
	'label'       => esc_html__( 'Post Sidebar', 'writers-portfolio' ),
	'section'     => 'sidebar_settings_section',
	'default'     => 'right',
	'multiple'    => 1,
	'choices'     => [
		'left' => esc_html__( 'left Sidebar', 'writers-portfolio' ),
		'right' => esc_html__( 'Right Sidebar', 'writers-portfolio' ),
		'no' => esc_html__( 'No Sidebar', 'writers-portfolio' ),
	],
] );
Kirki::add_field( 'rs_personal_blog_config', array(
    'type'        => 'custom',
    'settings'    => 'sep_after_post_sidebar',
    'label'       => '',
    'section'     => 'sidebar_settings_section',
    'default'     => '<hr>',
) );
Kirki::add_field( 'writers_portfolio_config', [
	'type'        => 'select',
	'settings'    => 'search_page_sidebar',
	'label'       => esc_html__( 'Search Page Sidebar', 'writers-portfolio' ),
	'section'     => 'sidebar_settings_section',
	'default'     => 'right',
	'multiple'    => 1,
	'choices'     => [
		'left' => esc_html__( 'left Sidebar', 'writers-portfolio' ),
		'right' => esc_html__( 'Right Sidebar', 'writers-portfolio' ),
		'no' => esc_html__( 'No Sidebar', 'writers-portfolio' ),
	],
] );
