<?php
$footer_social_links = get_theme_mod('show_footer_social_links', 'off');
$footer_nav_menu = get_theme_mod('show_footer_nav_menu', 'off');
if (true == $footer_social_links || true == $footer_nav_menu) :
?>
<section class="footer-content">
	<div class="container">
		<div class="row justify-content-center text-center">
			<div class="col-md-12">
				<?php
				if (true == $footer_social_links) :
				?>
				<div class="footer-social-links">
					<?php
						writers_portfolio_social_links();
					?>
				</div>
				<?php
				endif;
				if (true == $footer_nav_menu) :
					if(has_nav_menu('footer-menu')) :
					?>
					  <div class="footer-nav-menu">
					  	<?php
						wp_nav_menu(
							array(
								'theme_location'    => 'footer-menu',
								'container'         => 'ul',
							)
						);
					  	?>
					  </div>
					<?php
					endif;
				endif;
				?>
			</div>
		</div>
	</div>
</section>
<?php endif;?>