<?php
/**
 * Book Gallery Section
 */
$viewButtonText = get_theme_mod('bg_view_button_text', 'View All');
$viewButtonLink = get_theme_mod('bg_view_button_link', '#');
$sectionTitle = get_theme_mod('bg_section_title_text', 'Read My Books');
?>
<div class="writers-portfolio-book-gallery-section">
	<div class="container">
		<div class="row">
			<div class="col-md-8 align-self-center">
				<div class="section-title-wrapper">
					<h2 class="section-title"><?php echo esc_html( $sectionTitle );?></h2>
				</div>
			</div>
			<div class="col-md-4 align-self-center">
				<div class="view-all-books-btn">
					<a href="<?php echo esc_url($viewButtonLink);?>"><?php echo esc_html($viewButtonText);?></a>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-12">
				<?php
				echo do_shortcode('[rswpbs_book_gallery books_per_page="8" books_per_row="4" order="DESC" orderby="date" show_pagination="false" show_author="true" show_title="true" title_type="title" show_image="true" image_type="book_cover" image_position="top" show_excerpt="true" excerpt_type="excerpt" excerpt_limit="30" show_price="true" show_buy_button="true" show_msl="false" msl_title_align="center" show_search_form="false" show_sorting_form="false"]');
				?>
			</div>
		</div>
	</div>
</div>